> For the complete documentation index, see [llms.txt](https://raic-labs.gitbook.io/raic-fed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://raic-labs.gitbook.io/raic-fed/api-reference/04a-foundry-api/imagery.md).

# Imagery

## GET /imagery

> Get Imagery

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/imagery":{"get":{"tags":["imagery"],"summary":"Get Imagery","operationId":"get_imagery_imagery_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":10000,"minimum":1,"description":"The number of items that should be present in the response.","default":10,"title":"Limit"},"description":"The number of items that should be present in the response."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"number"}},{"type":"null"}],"description":"Return imagery that intersects this bbox.","title":"Bbox"},"description":"Return imagery that intersects this bbox."},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string","format":"date-time"}},{"type":"null"}],"description":"Return imagery acquired during this time range.","title":"Datetime"},"description":"Return imagery acquired during this time range."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /imagery/{frame\_stac\_id}/geometry

> Get Frame Geometry

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/imagery/{frame_stac_id}/geometry":{"get":{"tags":["imagery"],"summary":"Get Frame Geometry","operationId":"get_frame_geometry_imagery__frame_stac_id__geometry_get","parameters":[{"name":"frame_stac_id","in":"path","required":true,"schema":{"type":"string","title":"Frame Stac Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Frame Source Mosaic

> Get the mosaic search and geometry for a metadetections imagery item.\
> \
> Returns the TiTiler search ID that mosaics the prepared items derived from the same source as this frame, along with the frame item's geometry.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/imagery/frame/{frame_stac_id}/source/mosaic":{"get":{"tags":["imagery"],"summary":"Get Frame Source Mosaic","description":"Get the mosaic search and geometry for a metadetections imagery item.\n\nReturns the TiTiler search ID that mosaics the prepared items derived from the same source as this frame, along with the frame item's geometry.","operationId":"get_frame_source_mosaic_imagery_frame__frame_stac_id__source_mosaic_get","parameters":[{"name":"frame_stac_id","in":"path","required":true,"schema":{"type":"string","title":"Frame Stac Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Source Mosaic

> Get the mosaic search and geometry for a source imagery item.\
> \
> Returns the TiTiler search ID that mosaics the prepared items derived from this source, along with the source item's geometry.

```json
{"openapi":"3.1.0","info":{"title":"Foundry Api","version":"0.1.0"},"servers":[{"url":"/foundry"}],"paths":{"/imagery/source/{source_item_id}/mosaic":{"get":{"tags":["imagery"],"summary":"Get Source Mosaic","description":"Get the mosaic search and geometry for a source imagery item.\n\nReturns the TiTiler search ID that mosaics the prepared items derived from this source, along with the source item's geometry.","operationId":"get_source_mosaic_imagery_source__source_item_id__mosaic_get","parameters":[{"name":"source_item_id","in":"path","required":true,"schema":{"type":"string","title":"Source Item Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"404":{"description":"Not found"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```
